Description

ES:
La coneccion a wms presenta algunos problemas. 
Trabajando en un servidor propio experimental, montado con geoserver, al conectarme al servicio wms, falla gvSIG.
Además de ocurrir lo señalado en https://redmine.gvsig.net/redmine/issues/2970
Finalizado, no carga el servicio.
Verifiqué: con qGIS y con openlayer3 se visualiza el servicio sin inconveniente.

History
#1 - 07/05/2016 10:00 PM - Mario Fevre

Ampliando, existen dos comportamientos diferenciados y erroneos:

1- al cargar una capa proyectada espg:22175, gvSIG carga la capa al TOC y hace zoom a las coordenadas correspondientes. Pero la vista
permaneces vacia.

2- al cargar un "grupo de capas" en culaquier sistema (4326 o 22175) no carga nada a la TOC o a la vista.

Ambos (capa y grupo), se visualizan correctamente desde otras aplicaciones

#2 - 07/06/2016 11:41 AM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

Hi Mario,
it seems that the issue described in #2970 is managed a little better in the meanwhile thanks to OGR: I can load a WMS layer from the URL provided
after about 10 seconds in build 2436 (win-x86_64), even if there are always a bunch of errors related to CRS management.
Just like in your log, I see some unsupported (not valid) CRSs, such as EPSG:62816405, EPSG:62836405, EPSG:62846405, etc. So it seems that two
EPSG codes are merged together now and furthermore some of them are Geodetic Datums, not CRSs.
Thank you for reporting this issue.

Related to #2970.

05/17/2024 1/2

https://redmine.gvsig.net/redmine/issues/2970


#3 - 07/06/2016 12:03 PM - Antonio Falciano

Antonio Falciano wrote:

Just like in your log, I see some unsupported (not valid) CRSs, such as EPSG:62816405, EPSG:62836405, EPSG:62846405, etc. So it seems
that two EPSG codes are merged together now and furthermore some of them are Geodetic Datums, not CRSs.

According to Spatial Reference these CRS codes are deprecated ones since 2002, while they're not shown anymore in the EPSG Geodetic Parameter
Registry!

#4 - 07/25/2016 07:05 PM - Álvaro Anguix
- Category set to WMS

#5 - 08/19/2016 03:10 PM - Mario Fevre

some other problematic wms, working fine in qgis, like working in gvSIG 2.2 and not working at all in gvSIG 2.3

http://sig.gobierno.gba.gov.ar:80/geoserver/urbasig/wms?
http://cartoservices.arba.gov.ar:80/geoserver/cartoservice/ows?SERVICE=WMSx%x%

settings tested:
layer: partidos
crs: 22185
format: image/png

#6 - 08/27/2016 10:51 AM - Álvaro Anguix
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2444-RC4 (rev. org.gvsig.desktop-2.0.151)
- Status changed from New to Closed

Probados los WMS en el build 2443 y funcionan.
gvSIG - copia.log 175 KB 07/01/2016 Mario Fevre
